geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jarek Gawor (JIRA)" <>
Subject [jira] Commented: (GERONIMO-5231) Override JVM libraries with newer versions
Date Tue, 06 Apr 2010 21:25:33 GMT


Jarek Gawor commented on GERONIMO-5231:

Committed a basic solution in revision 931319. In that solution I created a maven-property-plugin
which executes in the "validate" phase and sets "bootClassPath" system property. The value
of "bootClassPath" property is set to -Xbootclasspath/p:<path><pathSeparator><path>...
string where each <path> is the jar file to prepend to boot classpath. The "bootClassPath"
property is then used in maven-compiler-plugin and maven-surefire-plugin and passed as a java/javac

> Override JVM libraries with newer versions
> ------------------------------------------
>                 Key: GERONIMO-5231
>                 URL:
>             Project: Geronimo
>          Issue Type: Bug
>      Security Level: public(Regular issues) 
>          Components: buildsystem
>    Affects Versions: 3.0
>            Reporter: Jarek Gawor
>            Assignee: Jarek Gawor
>             Fix For: 3.0
> In some cases, Java EE 6 requires newer library versions then what is provided by Java
SE 6. For example, EE 6 requires annotations 1.1 api but SE 6 provides annotation 1.0 api.
So it is necessary that during a build we override the JVM provided libraries with newer versions.

This message is automatically generated by JIRA.
You can reply to this email to add a comment to the issue online.

View raw message